<?php
/*
diskover-web
https://diskoverdata.com

Copyright 2017-2023 Diskover Data, Inc.
"Community" portion of Diskover made available under the Apache 2.0 License found here:
https://www.diskoverdata.com/apache-license/
 
All other content is subject to the Diskover Data, Inc. end user license agreement found at:
https://www.diskoverdata.com/eula-subscriptions/
  
Diskover Data products and features for all versions found here:
https://www.diskoverdata.com/solutions/

*/

/*
example file action to get image over http from a web server
*/


// override debug output in fileactions include file
//$fileactions_debug = FALSE;

include 'includes/fileactions.php';
include 'includes/fileactions_header.php';


// web host to connect to for getting images
$webhost = "http://127.0.0.1:8080";

// in this example we are getting images over http to a web server that has access to the images
// at the same absolute path relative to web doc root
// you can set fileactions_debug to TRUE above for debug info to print out fileinfo array

foreach ($fileinfo as $file) {
    // skip any directories selected
    if ($file['type'] != 'file') {
        echo "Not a file";
        continue;
    }

    $fullpath = $file['fullpath'];
    // uncomment below and set to translate paths
    //$path_translations = array(
    //    '/^\//' => '/mnt/'
    //);
    //$fullpath = translate_path($fullpath, $path_translations);

    // print html output
    echo '
    <div class="container-fluid cmd-output">
    ' . $fullpath . '<br>
    <br>
    <img src="' . $webhost . $fullpath . '">
    </div>
    ';
}


include 'includes/fileactions_footer.php';