<?php
/*
diskover-web
https://diskoverdata.com

Copyright 2017-2023 Diskover Data, Inc.
"Community" portion of Diskover made available under the Apache 2.0 License found here:
https://www.diskoverdata.com/apache-license/
 
All other content is subject to the Diskover Data, Inc. end user license agreement found at:
https://www.diskoverdata.com/eula-subscriptions/
  
Diskover Data products and features for all versions found here:
https://www.diskoverdata.com/solutions/

*/

/*
example file action to run a python script, in this example just prints the file path
*/


// override debug output in fileactions include file
//$fileactions_debug = FALSE;

include 'includes/fileactions.php';
include 'includes/fileactions_header.php';


// in this example we are using python to print the file path of selected items on search results page
// you can set fileactions_debug to TRUE above for debug info to print out fileinfo array

// full path of python or python if in PATH
$python = "python3";
// python flags
$flags = "-c";


foreach ($fileinfo as $file) {
    $fullpath = $file['fullpath'];
    // uncomment below and set to translate paths
    //$path_translations = array(
    //    '/^\//' => '/mnt/'
    //);
    //$fullpath = translate_path($fullpath, $path_translations);

    // script to run or code to run
    $script = "\"print('" . $fullpath . "')\"";

    // run command using python
    $cmd = $python . ' ' . $flags . ' ' . $script;

    // run exec and get output and return value
    $output = $retval = null;
    exec($cmd, $output, $retval);

    // print html output
    echo '
    <div class="container-fluid cmd-output">
    Command: ' . $cmd . '<br>
    Status:<br>
    <pre>' . $retval .'</pre>
    Output:<br>
    <pre>' . implode("\n", $output) . '</pre>
    </div>
    ';
}


include 'includes/fileactions_footer.php';