<?php
/*
diskover-web
https://diskoverdata.com

Copyright 2017-2023 Diskover Data, Inc.
"Community" portion of Diskover made available under the Apache 2.0 License found here:
https://www.diskoverdata.com/apache-license/
 
All other content is subject to the Diskover Data, Inc. end user license agreement found at:
https://www.diskoverdata.com/eula-subscriptions/
  
Diskover Data products and features for all versions found here:
https://www.diskoverdata.com/solutions/

*/

require '../vendor/autoload.php';

error_reporting(E_ALL ^ E_NOTICE);
require "../src/diskover/Auth.php";
require "d3_inc.php";

// license check
// DO NOT ALTER, REMOVE THIS CODE OR COMMENT IT OUT.
// REMOVING THE LICENSE CHECK VIOLATES THE LICENSE AGREEMENT AND IS AN ILLEGAL OFFENCE.
$lic->feature_check();
// end license check

?>

<!DOCTYPE html>
<html lang="en">

<head>
	<?php if (isset($_COOKIE['sendanondata']) && $_COOKIE['sendanondata'] == 1) { ?>
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-NDFBQ1BYMH"></script>
    <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', 'G-NDFBQ1BYMH');
    </script>
    <?php } ?>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>diskover &mdash; Heatmap</title>
	<link rel="stylesheet" href="css/fontawesome-free/css/all.min.css" media="screen" />
	<link rel="stylesheet" href="css/bootswatch.min.css" media="screen" />
	<link rel="stylesheet" href="css/diskover.css" media="screen" />
	<link rel="stylesheet" href="css/diskover-heatmap.css" media="screen" />
	<link rel="stylesheet" href="css/dataTables.bootstrap.min.css" media="screen" />
	<link rel="icon" type="image/png" href="images/diskoverfavico.png" />
</head>

<body>
	<?php include "nav.php"; ?>
	<div class="container" id="warning" style="display:none; margin-top:70px;">
		<div class="row">
			<div class="alert alert-dismissible alert-info col-xs-8">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
				<span class="glyphicon glyphicon-exclamation-sign"></span> Sorry, no files found in <?php echo $path; ?>. Choose a different path and try again. <a href="#" class="alert-link" onclick="window.history.go(-1); return false;">Go back</a>
			</div>
		</div>
	</div>
	<div class="container" id="index2req" style="display:none; margin-top:70px;">
		<div class="row">
			<div class="alert alert-dismissible alert-info col-xs-8">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
				<i class="glyphicon glyphicon-exclamation-sign"></i> No index2 selected. Go to the <a class="alert-link" href="selectindices.php">select index</a> page to add a previous index for data comparison.
			</div>
		</div>
	</div>
	<div class="container-fluid" id="mainwindow" style="margin-top:70px;">
		<div class="row">
			<div class="col-xs-4">
				<form class="form-inline file-btns" id="path-container" style="display:none;">
					<div class="form-group">
						<input type="text" size="50" class="form-control input-sm" style="background-color:#33373B;color:#FFF;font-weight:bold;" name="pathinput" id="pathinput" value="">
					</div>
					<button title="change path" type="submit" id="changepath" class="btn btn-primary btn-sm"><i class="glyphicon glyphicon-circle-arrow-right"></i> Go</button>
					<button title="<?php echo getParentDir($path); ?>" type="button" class="btn btn-primary btn-sm" onclick="window.location.href='<?php echo build_url('path', getParentDir($path)); ?>'; return false;"><i class="glyphicon glyphicon-circle-arrow-up"></i> Up level</button>
					<!-- index alias path dropdown -->
					<?php if (getCookie('indexalias')) { ?>
						<div class="btn-group">
							<button class="btn btn-default dropdown-toggle btn-sm" style="color:#66C266!important;" type="button" data-toggle="dropdown"><i class="glyphicon glyphicon-folder-open"></i>
								<span class="caret"></span></button>
							<ul class="dropdown-menu">
								<?php
								if (getCookie('indexalias')) {
									foreach ($_SESSION['indexpaths'] as $key => $val) {
								?>
										<li><a href="<?php echo build_url('path', $val); ?>"><?php echo $val; ?></a></li>
								<?php
									}
								}
								?>
							</ul>
						</div>
					<?php } ?>
					<!-- end index alias path dropdown -->
				</form>
			</div>
			<div class="col-xs-8 pull-right text-right file-btns" id="chart-buttons" style="display:none;">
				<button type="submit" id="reload" class="btn btn-default btn-sm" title="reload"><i class="glyphicon glyphicon-refresh"></i> Reload</button>
				<div class="btn-group">
					<button class="btn btn-default dropdown-toggle btn-sm" type="button" data-toggle="dropdown" title="Min file size filter">Size Filter
						<span class="caret"></span></button>
					<ul id="minsizefilter" class="dropdown-menu">
						<li><a href="<?php echo build_url('filter', 1); ?>">1 Bytes (default)</a></li>
						<li><a href="<?php echo build_url('filter', 1024); ?>">1 KB</a></li>
						<li><a href="<?php echo build_url('filter', 8192); ?>">8 KB</a></li>
						<li><a href="<?php echo build_url('filter', 65536); ?>">64 KB</a></li>
						<li><a href="<?php echo build_url('filter', 262144); ?>">256 KB</a></li>
						<li><a href="<?php echo build_url('filter', 524288); ?>">512 KB</a></li>
						<li><a href="<?php echo build_url('filter', 1048576); ?>">1 MB</a></li>
						<li><a href="<?php echo build_url('filter', 2097152); ?>">2 MB</a></li>
						<li><a href="<?php echo build_url('filter', 5242880); ?>">5 MB</a></li>
						<li><a href="<?php echo build_url('filter', 10485760); ?>">10 MB</a></li>
						<li><a href="<?php echo build_url('filter', 26214400); ?>">25 MB</a></li>
						<li><a href="<?php echo build_url('filter', 52428800); ?>">50 MB</a></li>
						<li><a href="<?php echo build_url('filter', 104857600); ?>">100 MB</a></li>
						<li><a href="<?php echo build_url('filter', 209715200); ?>">200 MB</a></li>
						<li><a href="<?php echo build_url('filter', 524288000); ?>">500 MB</a></li>
						<li><a href="<?php echo build_url('filter', 1073741824); ?>">1 GB</a></li>
					</ul>
				</div>
				<div class="btn-group">
					<button class="btn btn-default dropdown-toggle btn-sm" type="button" data-toggle="dropdown" title="Min file time filter"><?php echo ucfirst($config->TIME_FIELD); ?> Filter
						<span class="caret"></span></button>
					<ul id="timefilter" class="dropdown-menu">
						<li><a href="<?php echo build_url('time', '0'); ?>">0 (default)</a></li>
						<li><a href="<?php echo build_url('time', '1d'); ?>">1 day</a></li>
						<li><a href="<?php echo build_url('time', '1w'); ?>">1 week</a></li>
						<li><a href="<?php echo build_url('time', '2w'); ?>">2 weeks</a></li>
						<li><a href="<?php echo build_url('time', '1m'); ?>">1 month</a></li>
						<li><a href="<?php echo build_url('time', '2m'); ?>">2 months</a></li>
						<li><a href="<?php echo build_url('time', '3m'); ?>">3 months</a></li>
						<li><a href="<?php echo build_url('time', '6m'); ?>">6 months</a></li>
						<li><a href="<?php echo build_url('time', '1y'); ?>">1 year</a></li>
						<li><a href="<?php echo build_url('time', '2y'); ?>">2 years</a></li>
						<li><a href="<?php echo build_url('time', '3y'); ?>">3 years</a></li>
						<li><a href="<?php echo build_url('time', '5y'); ?>">5 years</a></li>
					</ul>
				</div>
				<div class="btn-group">
					<button class="btn btn-default dropdown-toggle btn-sm" type="button" data-toggle="dropdown">Hide Thresh
						<span class="caret"></span></button>
					<ul class="dropdown-menu">
						<li><a href="#_self" onclick="changeThreshold(0);">0 (disable)</a></li>
						<li><a href="#_self" onclick="changeThreshold(0.01);">0.01</a></li>
						<li><a href="#_self" onclick="changeThreshold(0.1);">0.1</a></li>
						<li><a href="#_self" onclick="changeThreshold(0.3);">0.3</a></li>
						<li><a href="#_self" onclick="changeThreshold(0.5);">0.5</a></li>
						<li><a href="#_self" onclick="changeThreshold(0.7);">0.7</a></li>
						<li><a href="#_self" onclick="changeThreshold(0.9);">0.9 (default)</a></li>
						<li><a href="#_self" onclick="changeThreshold(1.0);">1.0</a></li>
					</ul>
				</div>
				<div class="btn-group" data-toggle="buttons">
					<button class="btn btn-default btn-sm" id="size"> Size</button>
					<button class="btn btn-default btn-sm" id="count"> Count</button>
				</div>
				<span style="font-size:11px; color:gray;">Maxdepth:</span>
				<div class="btn-group">
					<button class="btn btn-default btn-sm" id="depth1">1</button>
					<button class="btn btn-default btn-sm" id="depth2">2</button>
					<button class="btn btn-default btn-sm" id="depth3">3</button>
					<button class="btn btn-default btn-sm" id="depth4">4</button>
					<button class="btn btn-default btn-sm" id="depth5">5</button>
				</div>
				<span style="font-size:11px; color:gray;">Show new dirs </span><span style="position:relative; top:8px;"><label class="switch"><input id="shownewdirs" name="shownewdirs" type="checkbox"><span class="slider round"></span></label></span>
				<span style="font-size:11px; color:gray;">Show files </span><span style="position:relative; top:8px;"><label class="switch"><input id="showfiles" name="showfiles" type="checkbox"><span class="slider round"></span></label></span>
				<div id="statustext" class="statustext">
					<i class="glyphicon glyphicon-filter"></i> Filters: <span id="statusfilters"></span>&nbsp;&nbsp;<i class="glyphicon glyphicon-adjust"></i> Hide thresh: <span id="statushidethresh"></span>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-12">
				<div style="display:none;" id="heatmap-wrapper">
					<canvas id="heatmap-overlay" style="position:absolute;top:10px;"></canvas>
					<div id="heatmap-container" style="z-index:0;position:relative;top:0px;left:0px;"></div>
				</div>
			</div>
		</div>
		<div class="row" style="margin-top:20px; margin-bottom:10px">
			<div class="col-xs-12">
				<div style="display:none;" id="hotdirs-table-wrapper">
					<table class="table table-striped table-bordered table-hover table-condensed" style="width:100%" id="hotdirs-table" data-order='[[ 3, "desc" ]]'>
						<thead>
							<tr>
								<th>Name</th>
								<th>Type</th>
								<th>Change <small>(<?php echo ($use_count) ? 'count' : 'size' ?>)</small></th>
								<th>Change %</th>
								<th>Size</th>
								<th>Size <small>(prev)</small></th>
								<th>Files</th>
								<th>Files <small>(prev)</small></th>
								<th>Folders</th>
								<th>Folders <small>(prev)</small></th>
								<th>Last Modified</th>
								<th>Path</th>
								<th></th>
							</tr>
						</thead>
						<tbody></tbody>
						<tfoot>
							<tr>
								<th>Name</th>
								<th>Type</th>
								<th>Change <small>(<?php echo ($use_count) ? 'count' : 'size' ?>)</small></th>
								<th>Change %</th>
								<th>Size</th>
								<th>Size <small>(prev)</small></th>
								<th>Files</th>
								<th>Files <small>(prev)</small></th>
								<th>Folders</th>
								<th>Folders <small>(prev)</small></th>
								<th>Last Modified</th>
								<th>Path</th>
								<th></th>
							</tr>
						</tfoot>
					</table>
				</div>
			</div>
		</div>
	</div>

	<script language="javascript" src="js/jquery.min.js"></script>
	<script language="javascript" src="js/bootstrap.min.js"></script>
	<script language="javascript" src="js/diskover.js"></script>
	<script language="javascript" src="js/d3.v3.min.js"></script>
	<script language="javascript" src="js/d3-queue.v3.min.js"></script>
	<script language="javascript" src="js/spin.min.js"></script>
	<script language="javascript" src="js/d3.tip.v0.6.3.js"></script>
	<script language="javascript" src="js/simpleheat.js"></script>
	<script language="javascript" src="js/jquery.dataTables.min.js"></script>
	<script language="javascript" src="js/dataTables.bootstrap.min.js"></script>
	<script language="javascript" src="js/file-size.js"></script>
	<script language="javascript" src="js/file-size-change.js"></script>
	<script language="javascript" src="js/heatmap.js"></script>
	<script>
        // reload page on browser resize to redraw d3 visuals
        window.onresize = function(){ location.reload(); }
    </script>
</body>

</html>