<?php
/*
diskover-web
https://diskoverdata.com

Copyright 2017-2023 Diskover Data, Inc.
"Community" portion of Diskover made available under the Apache 2.0 License found here:
https://www.diskoverdata.com/apache-license/
 
All other content is subject to the Diskover Data, Inc. end user license agreement found at:
https://www.diskoverdata.com/eula-subscriptions/
  
Diskover Data products and features for all versions found here:
https://www.diskoverdata.com/solutions/

*/

// diskover-web user data

namespace diskover;

class User
{
    public $isValid = false;

    public $username;

    public $passHash;

    public function setPassword($password)
    {
        $this->passHash = $this->hashPassword($password);
    }

    public function hashPassword($password): string
    {
        return password_hash($password, PASSWORD_DEFAULT);
    }

    public function validatePassword($password): bool
    {
        return password_verify($password, $this->passHash);
    }
}
