<?php
/*
diskover-web
https://diskoverdata.com

Copyright 2017-2023 Diskover Data, Inc.
"Community" portion of Diskover made available under the Apache 2.0 License found here:
https://www.diskoverdata.com/apache-license/
 
All other content is subject to the Diskover Data, Inc. end user license agreement found at:
https://www.diskoverdata.com/eula-subscriptions/
  
Diskover Data products and features for all versions found here:
https://www.diskoverdata.com/solutions/

*/

// diskover-web config defaults
// these values get overwritten by any in Constants.php (diskover-web config file)
// to change any of these from default, edit Constants.php

$config_defaults = [
    'TIMEZONE' => 'America/Vancouver',
    'LOCAL_TIMES' => FALSE,
    'ES_HOSTS' => [
        [
            'hosts' => ['localhost'],
            'port' => 9200,
            'user' => '',
            'pass' => '',
            'https' => FALSE
        ]
    ],
    'ES_SSLVERIFICATION' => TRUE,
    'LOGIN_REQUIRED' => TRUE,
    'USER' => 'diskover',
    'PASS' => 'darkdata',
    'ADMIN_USER' => 'admin',
    'ADMIN_PASS' => 'darkdata',
    'ADMIN_USERS' => 'admin',
    'TASK_PANEL_USERS' => 'admin',
    'LDAP_LOGINS' => FALSE,
    'LDAP_HOST' => 'ldap://ad1.mydomain.com',
    'LDAP_PORT' => '389',
    'LDAP_DOMAIN' => 'mydomain.com',
    'LDAP_BASEDN' => 'dc=MYDOMAIN,dc=COM',
    'LDAP_USERSDN' => '',
    'LDAP_GROUPSDN' => '',
    'LDAP_ALT_BIND' => FALSE,
    'LDAP_ALT_BIND2' => FALSE,
    'LDAP_NESTED_GROUPS' => FALSE,
    'LDAP_ADMIN_GROUPS' => ['diskover-admins'],
    'LDAP_USER_GROUPS' => ['diskover-users', 'diskover-powerusers'],
    'LDAP_TASK_PANEL_GROUPS' => ['diskover-admins', 'diskover-powerusers'],
    'OKTA_LOGINS' => FALSE,
    'OKTA_OAUTH2_CLIENT_ID' => '',
    'OKTA_OAUTH2_CLIENT_SECRET' => '',
    'OKTA_OAUTH2_REDIRECT_URI' => '',
    'OKTA_OAUTH2_LOGOUT_REDIRECT_URI' => '',
    'OKTA_OAUTH2_ISSUER' => '',
    'OKTA_API_URL_BASE' => '',
    'OKTA_API_TOKEN' => '',
    'OKTA_ADMIN_GROUPS' => ['diskover-admins'],
    'OKTA_TASK_PANEL_GROUPS' => ['diskover-admins', 'diskover-powerusers'],
    'FILTER' => 1,
    'TIME' => 0,
    'TIME_FIELD' => 'mtime',
    'MAXDEPTH' => 2,
    'USE_COUNT' => 0,
    'SHOW_FILES' => 0,
    'HIDE_THRESH' => 0.9,
    'SEARCH_RESULTS' => 50,
    'SIZE_FIELD' => 'size',
    'FILE_TYPES' => [
        'docs' => ['doc', 'docx', 'odt', 'pdf', 'tex', 'wpd', 'wks', 'txt', 'rtf', 'key', 'odp', 'pps', 'ppt', 'pptx', 'ods', 'xls', 'xlsm', 'xlsx'],
        'images' => ['ai', 'bmp', 'gif', 'ico', 'jpeg', 'jpg', 'png', 'ps', 'psd', 'psp', 'svg', 'tif', 'tiff', 'exr', 'tga'],
        'video' => ['3g2', '3gp', 'avi', 'flv', 'h264', 'm4v', 'mkv', 'qt', 'mov', 'mp4', 'mpg', 'mpeg', 'rm', 'swf', 'vob', 'wmv', 'ogg', 'ogv', 'webm'],
        'audio' => ['au', 'aif', 'aiff', 'cda', 'mid', 'midi', 'mp3', 'm4a', 'mpa', 'ogg', 'wav', 'wma', 'wpl'],
        'apps' => ['apk', 'exe', 'bat', 'bin', 'cgi', 'pl', 'gadget', 'com', 'jar', 'msi', 'py', 'wsf'],
        'programming' => ['c', 'cgi', 'pl', 'class', 'cpp', 'cs', 'h', 'java', 'php', 'py', 'sh', 'swift', 'vb'],
        'internet' => ['asp', 'aspx', 'cer', 'cfm', 'cgi', 'pl', 'css', 'htm', 'html', 'js', 'jsp', 'part', 'php', 'py', 'rss', 'xhtml'],
        'system' => ['bak', 'cab', 'cfg', 'cpl', 'cur', 'dll', 'dmp', 'drv', 'icns', 'ico', 'ini', 'lnk', 'msi', 'sys', 'tmp', 'vdi', 'raw'],
        'data' => ['csv', 'dat', 'db', 'dbf', 'log', 'mdb', 'sav', 'sql', 'tar', 'xml'],
        'disc' => ['bin', 'dmg', 'iso', 'toast', 'vcd', 'img'],
        'compressed' => ['7z', 'arj', 'deb', 'pkg', 'rar', 'rpm', 'tar', 'gz', 'z', 'zip'],
        'trash' => ['old', 'trash', 'tmp', 'temp', 'junk', 'recycle', 'delete', 'deleteme', 'clean', 'remove']
    ],
    'LOGINPAGE' => 'filesearch',
    'HIDE_FIELDS' => [],
    'EXTRA_FIELDS' => [],
    'INDEX_MAPPINGS_ENABLED' => FALSE,
    'INDEX_MAPPINGS' => [],
    'INDEX_MAPPINGS_USE_FILE' => FALSE,
    'LATEST_INDEX_ENABLED' => TRUE,
    'PATH_TRANSLATIONS' => [],
    'LDAP_FILTERING_ENABLED' => FALSE,
    'LDAP_GROUPS_EXCLUDED' => ['diskover-admins', 'diskover-powerusers'],
    'UNIXPERMS_FILTERING_ENABLED' => FALSE,
    'API_AUTH_ENABLED' => FALSE,
    'API_USER' => 'diskoverapi',
    'API_PASS' => 'apisecret',
    'API_AUTH_LDAP_ENABLED' => FALSE,
    'FILE_ACTIONS' => [],
    'MAX_INDEX' => 250,
    'INDEXINFO_CACHETIME' => 600,
    'NEWINDEX_CHECKTIME' => 10,
    'DATABASE' => '../diskoverdb.sqlite3',
    'HIDE_SEARCH_CHARTS' => FALSE,
    'TOPPATH_LABELS' => [],
    'TOPPATH_TREE' => [],
    'HIDE_SHAREDATA' => FALSE
];